//+------------------------------------------------------------------+
//|                                       LOCK MADE 2016_10_29       |
//+------------------------------------------------------------------+

#property copyright "LOCK"

#property indicator_chart_window 

#define PREFIX "LOCK LN_"


extern int Distance= 1800;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  ModifyObjectsByPrefix(PREFIX);
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ModifyObjectsByPrefix(PREFIX);
   
//----
   return(0);
  }
  
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars=IndicatorCounted();
   ModifyObjectsByPrefix(PREFIX);

   return(0);
  }
    
//+------------------------------------------------------------------+  
//| Modify all objects with given prefix                             |
//+------------------------------------------------------------------+  
void ModifyObjectsByPrefix(string Prefix) {
   int          TimeNow = Time[0];   
   int L = StringLen(Prefix);
   int i; 
   int modified=0;
    
   for(i=0; i<ObjectsTotal(); i++)
        {
        string ObjName = ObjectName(i);  
       if(StringSubstr(ObjName, 0, L) == Prefix) { 
        
       ObjectSet(ObjName,OBJPROP_TIME1,TimeNow+Distance*Period());
      modified=modified+i;
   }
   Print("modified objects: " + modified);
}

}








